Package org.apache.sling.discovery.commons.providers

# Class NonLocalInstanceDescription

java.lang.Object
org.apache.sling.discovery.commons.providers.DefaultInstanceDescription
org.apache.sling.discovery.commons.providers.NonLocalInstanceDescription

All Implemented Interfaces:
  `org.apache.sling.discovery.InstanceDescription`

public class NonLocalInstanceDescription extends DefaultInstanceDescription
InstanceDescription which represents an instance that is explicitly not local, ie isOwn==false.

## Field Summary

### Fields inherited from interface org.apache.sling.discovery.InstanceDescription

`PROPERTY_DESCRIPTION, PROPERTY_ENDPOINTS, PROPERTY_NAME`

## Constructor Summary

Constructors
Constructor
Description
`NonLocalInstanceDescription(DefaultClusterView cluster, boolean isLeader, String slingId, Map<String,String> properties)`

## Method Summary

### Methods inherited from class org.apache.sling.discovery.commons.providers.DefaultInstanceDescription

`equals, getClusterView, getProperties, getProperty, getSlingId, hashCode, isLeader, isLocal, setProperties, setProperty, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NonLocalInstanceDescription

public NonLocalInstanceDescription(DefaultClusterView cluster, boolean isLeader, String slingId, Map<String,String> properties)